//
// AI <-> FirebaseDB <-> ESP8266 (NodeMCU v1.0)
//
// Scorpio 2016
//
// FirebaseArduino https://github.com/firebase/firebase-arduino
// Library DOC API http://firebase-arduino.readthedocs.io/en/latest/

#include <ESP8266WiFi.h>
#include <FirebaseArduino.h>

// Set these to run example.
#define WIFI_SSID "SSID"
#define WIFI_PASSWORD "PASSWORD"
#define FIREBASE_HOST "test-esp-c35de.firebaseio.com" // "https://" <-УБРАТЬ-> "/"
//#define FIREBASE_AUTH "token_or_secret"

String ProjectBucket="/ESP/";
String current_state="";

void setup() {
  Serial.begin(9600);

  // connect to wifi.
  WiFi.begin(WIFI_SSID, WIFI_PASSWORD);
  Serial.print("connecting");
  while (WiFi.status() != WL_CONNECTED) 
  {
    Serial.print(".");
    delay(500);
  }
  Serial.println();
  Serial.print("connected: ");
  Serial.println(WiFi.localIP());
  
  //Firebase.begin(FIREBASE_HOST, FIREBASE_AUTH);
  Firebase.begin(FIREBASE_HOST);
}

void loop() {
  String out_state="";

  out_state=Firebase.getString(ProjectBucket+"OUT_CMD"); //считывание команды
  ShowFbError();
  if(Firebase.success())
  { 
    if(!out_state.equals(current_state))//получена новая команда 
    {
      Serial.println ("State change to: "+out_state);
      current_state=out_state;
      if(out_state.equals("1")) //подтверждение действия
        {
          // тут можно что-нибудь сделать
          Firebase.setString(ProjectBucket+"OUT_STATE", "ON"); 
        }
        else
        {
          // тут можно что-нибудь сделать
          Firebase.setString(ProjectBucket+"OUT_STATE", "OFF"); 
        }
       ShowFbError();
    }
  }
  
  delay(1000);// не обязательно
}

void ShowFbError()
{
   if (Firebase.failed()) 
   {
      Serial.print("DB failed: ");
      Serial.println(Firebase.error());  
   }
}

